Check to see how many more analytics notifications you can create.
Syntax
URI: /services/data/vXX.X/analytics/notifications/limits?source=source
Formats: JSON
HTTP methods
| Method | Description |
|---|---|
GET |
Check how many analytic notifications you have, and the maximum number you can have. |
Parameters
| Parameter | Description |
|---|---|
source |
Required for GET calls. Specifies what type of analytics notification to return. Valid values are:<ul><li>lightningDashboardSubscribe — dashboard subscriptions</li><li>lightningReportSubscribe — report subscriptions</li><li>waveNotification — Analytics notifications</li></ul> |
recordId |
Optional. Return notifications for a single record. Valid values are:<ul><li>reportId— Unique report ID</li><li>lensId— Unique Analytics lens ID</li></ul> |
GET Response Body
| Property | Type | Description |
|---|---|---|
max |
Integer | How many analytics notifications of the type specified by source the user is allowed to create. |
remaining |
Integer | How many more analytics notifications of the type specified by source the user can create before hitting the limit. |